package com.foreverwin.mesnac.common.service;

import com.foreverwin.mesnac.common.dto.LabelPrintDto;
import com.foreverwin.mesnac.common.model.PrintLog;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author Philip
 * @since 2021-07-16
 */
public interface PrintLogService extends IService<PrintLog> {

    /**
     * 记录打印日志
     *
     * @param printLog
     */
    void savePrintLog(String site, String user, PrintLog printLog);

    /**
     * 标签打印
     *
     * @param site
     * @param user
     * @param printList
     */
    void labelPrint(String site, String user, List<PrintLog> printList);

    /**
     * 查询标签打印所有数据
     * @param printLog
     * @return
     */
    List<PrintLog> getPrintLogListByCondition(PrintLog printLog);

    LabelPrintDto findSfcPrintInfoBySfc(String sfc);

    void sfcLabelPrint(Map<String,Object> map);
}